package com.sa.ibiz.demo.demo.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import com.sa.ibiz.demo.demo.domain.KQ;
import com.sa.ibiz.demo.demo.service.dto.KQSearchFilter;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
public interface KQMapper extends BaseMapper<KQ>{
    @CacheEvict( value="entity",key = "'KQ:'+#p0.kqid")
    void updateOne(@Param("kq") KQ kq);
    List<KQ> searchDefault(@Param("srf") KQSearchFilter searchfilter,@Param("ew") Wrapper<KQ> wrapper) ;
    Page<KQ> searchDefault(IPage page, @Param("srf") KQSearchFilter searchfilter, @Param("ew") Wrapper<KQ> wrapper) ;
    @Select("${sql}")
    List<Map<String,Object>> selectRow( @Param("sql")String sql);
    @Override
    @Cacheable( value="entity",key = "'KQ:'+#p0")
    KQ selectById(Serializable id);
    @Override
    @CacheEvict( value="entity",key = "'KQ:'+#p0.kqid")
    int updateById(@Param(Constants.ENTITY) KQ entity);
    @Override
    @CacheEvict( value="entity",key = "'KQ:'+#p0.kqid")
    int insert(KQ entity);
    @Override
    @CacheEvict( value="entity",key = "'KQ:'+#p0")
    int deleteById(Serializable id);
}